summaryrefslogtreecommitdiffstats
path: root/scripts/run-wsdunit
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/run-wsdunit')
-rwxr-xr-xscripts/run-wsdunit2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/run-wsdunit b/scripts/run-wsdunit
index b0f0eab9ca..9e529b7033 100755
--- a/scripts/run-wsdunit
+++ b/scripts/run-wsdunit
@@ -35,7 +35,7 @@ do
echo ">>> $(date +%b-%d) @ $(date +%H:%M:%S) Run #$i (of $limit):";
./coolwsd --disable-cool-user-checking --cleanup &> /dev/null
(cd test && ./run_unit.sh --test-name $name.la --log-file $name.log --trs-file $name.trs --color-tests yes --enable-hard-errors yes --expect-failure no -- ./$name.la)
- if test $? -eq 0; then
+ if test $? -eq 0 && grep -q PASS test/$name.trs; then
((pass=pass+1));
fi;
echo;